﻿;-TOP

; ***************************************************************************
; 
; Comment : EventDesigner - Common Form File
; Create  : 2019.09.15 16.19.34
; 
; Info    : Do not edit this file. This file always overwrite.
; 
; ***************************************************************************

;- Bugfix ResizeGadet with BindEvent and CreateMenu

Macro _PB_(Function)
  Function
EndMacro

Macro ResizeGadget(Gadget, x, y, Width, Height)
  If IsGadget(Gadget) : _PB_(ResizeGadget)(Gadget, x, y, Width, Height) : EndIf
EndMacro

CompilerIf #PB_Compiler_OS = #PB_OS_Linux
  Macro ToolBarHeight(ToolBar)
    0
  EndMacro
CompilerEndIf

;- Enumerations

Enumeration FormWindow
  #Main
  #WinStart
  #WinCheck
  #UserGadget
EndEnumeration

Enumeration FormMenuBar
  #Main_MenuBar
EndEnumeration

Enumeration FormToolBar
  #Main_Toolbar
EndEnumeration

Enumeration FormStatusBar
  #Main_StatusBar
EndEnumeration

Enumeration FormMenu
  #Main_Project_New
  #Main_Project_Load
  #Main_Project_Save
  #Main_Project_SaveAs
  #Main_Menu_UserGadget
  #Main_Exit
  #Main_Common_Add
  #Main_Common_Remove
  #Main_Common_Parend
  #Main_Start_Process
  #Main_Stop_Process
  #Main_Tool_Save_MyAppData
  #Main_Info
  #Main_License
EndEnumeration

Enumeration FormGadget
  #Main_Command
  #Main_Listview_Common
  #Main_Listview_Status
  #Main_Splitter
  #WinStart_CheckBox_ParendWindow
  #WinStart_CheckBox_AutoPosition
  #WinStart_CheckBox_MultiLanguage
  #WinStart_CheckBox_IncludeImages
  #WinStart_CheckBox_CopyImages
  #WinStart_CheckBox_MacMenuEvents
  #WinStart_CheckBox_PrefixOff
  #WinStart_CheckBox_CloseIDE
  #WinStart_Button_Start
  #WinCheck_Text_0
  #WinCheck_Text_1
  #WinCheck_Text_2
  #WinCheck_Listview_Old
  #WinCheck_Listview_New
  #WinCheck_Listview_ToDo
  #WinCheck_Button_Bind
  #WinCheck_Button_Release
  #WinCheck_Button_Continue
  #UserGadget_Listview_Gadget
  #UserGadget_Button_Add
  #UserGadget_Button_Del
  #UserGadget_Button_Ok
EndEnumeration

Enumeration FormImage
  #IconNew
  #IconOpen
  #IconSave
  #IconSaveAs
  #IconAdd
  #IconRemove
  #IconFirst
  #IconStart
  #IconStop
  #IconExit
  #IconPreference
  #IconInformation
  #IconBook
EndEnumeration

;- Use Image Decoder

UsePNGImageDecoder()

;- Load Images

CatchImage(#IconNew, ?Catch_IconNew)
CatchImage(#IconOpen, ?Catch_IconOpen)
CatchImage(#IconSave, ?Catch_IconSave)
CatchImage(#IconSaveAs, ?Catch_IconSaveAs)
CatchImage(#IconAdd, ?Catch_IconAdd)
CatchImage(#IconRemove, ?Catch_IconRemove)
CatchImage(#IconFirst, ?Catch_IconFirst)
CatchImage(#IconStart, ?Catch_IconStart)
CatchImage(#IconStop, ?Catch_IconStop)
CatchImage(#IconExit, ?Catch_IconExit)
CatchImage(#IconPreference, ?Catch_IconPreference)
CatchImage(#IconInformation, ?Catch_IconInformation)
CatchImage(#IconBook, ?Catch_IconBook)

; ----

;- Form: /Users/Michael/Daten/Purebasic/EventDesignerV3/FormMain.pb

Procedure OpenMain()
  If OpenWindow(#Main, #PB_Ignore, #PB_Ignore, 800, 600, #PROGRAM, #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar)
    ButtonGadget(#Main_Command, 0, 0, 0, 0, "CMD")
    DisableGadget(#Main_Command, #True)
    If CreateImageMenu(#Main_MenuBar, WindowID(#Main))
      MenuTitle("&File")
      MenuItem(#Main_Project_New, "Project &New", ImageID(#IconNew))
      MenuBar()
      MenuItem(#Main_Project_Load, "Project &Load", ImageID(#IconOpen))
      MenuItem(#Main_Project_Save, "Project &Save", ImageID(#IconSave))
      MenuItem(#Main_Project_SaveAs, "Project Save &As", ImageID(#IconSaveAs))
      MenuBar()
      OpenSubMenu("&Preferences", ImageID(#IconPreference))
      MenuItem(#Main_Menu_UserGadget, "User&Gadget", ImageID(#IconPreference))
      CloseSubMenu()
      MenuBar()
      MenuItem(#Main_Exit, "E&xit", ImageID(#IconExit))
      MenuTitle("&Action")
      MenuItem(#Main_Common_Add, "Form &Add", ImageID(#IconAdd))
      MenuBar()
      MenuItem(#Main_Common_Remove, "Form &Remove", ImageID(#IconRemove))
      MenuItem(#Main_Common_Parend, "Form as &First", ImageID(#IconFirst))
      MenuBar()
      MenuItem(#Main_Start_Process, "&Start Process", ImageID(#IconStart))
      MenuItem(#Main_Stop_Process, "S&top Process", ImageID(#IconStop))
      MenuTitle("Tools")
      MenuItem(#Main_Tool_Save_MyAppData, "Save MacOS IDE-Tool &MyAppData", ImageID(#IconSaveAs))
      MenuTitle("&?")
      MenuItem(#Main_Info, "&Info", ImageID(#IconInformation))
      MenuItem(#Main_License, "&License", ImageID(#IconBook))
    EndIf
    
    If CreateToolBar(#Main_Toolbar,WindowID(#Main))
      ToolBarSeparator()
      ToolBarImageButton(#Main_Project_New, ImageID(#IconNew))
      ToolBarImageButton(#Main_Project_Load, ImageID(#IconOpen))
      ToolBarImageButton(#Main_Project_Save, ImageID(#IconSave))
      ToolBarSeparator()
      ToolBarImageButton(#Main_Common_Add, ImageID(#IconAdd))
      ToolBarImageButton(#Main_Common_Remove, ImageID(#IconRemove))
      ToolBarImageButton(#Main_Common_Parend, ImageID(#IconFirst))
      ToolBarSeparator()
      ToolBarImageButton(#Main_Start_Process, ImageID(#IconStart))
      ToolBarImageButton(#Main_Stop_Process, ImageID(#IconStop))
      
      ToolBarToolTip(#Main_Toolbar, #Main_Project_New, "Project New")
      ToolBarToolTip(#Main_Toolbar, #Main_Project_Load, "Project Load")
      ToolBarToolTip(#Main_Toolbar, #Main_Project_Save, "Project Save")
      
      ToolBarToolTip(#Main_Toolbar, #Main_Common_Add, "Add Form")
      ToolBarToolTip(#Main_Toolbar, #Main_Common_Remove, "Remove Form")
      ToolBarToolTip(#Main_Toolbar, #Main_Common_Parend, "Selected Form as first")
      
      ToolBarToolTip(#Main_Toolbar, #Main_Start_Process, "Start Process")
      ToolBarToolTip(#Main_Toolbar, #Main_Stop_Process, "Stop Process")
      
    EndIf
      
    If CreateStatusBar(#Main_StatusBar, WindowID(#Main))
      AddStatusBarField(#PB_Ignore)
    EndIf

    ListViewGadget(#Main_Listview_Common, 0, 0, 800, 280)
    ListViewGadget(#Main_Listview_Status, 0, 280, 800, 280)
    SplitterGadget(#Main_Splitter, 0, 0, 800, 600, #Main_Listview_Common, #Main_Listview_Status)
  EndIf
    
EndProcedure

Procedure ResizeGadgetsMain()

  Protected x, y, dx, dy, menu, status, toolbar
  
  If IsGadget(#Main_Splitter)
    menu = MenuHeight()
    status = StatusBarHeight(#Main_StatusBar)
    toolbar = ToolBarHeight(#Main_Toolbar)
    x = 0
    CompilerIf #PB_Compiler_OS = #PB_OS_Windows
      y = toolbar
    CompilerElse
      y = 0
    CompilerEndIf
    dx = WindowWidth(#Main)
    dy = WindowHeight(#Main) - menu - status - toolbar
    ResizeGadget(#Main_Splitter, x, y, dx, dy)
  EndIf
  
EndProcedure

; ----

;- Form: /Users/Michael/Daten/Purebasic/EventDesignerV3/FormStart.pb

Procedure OpenWinStart()
  If OpenWindow(#WinStart, #PB_Ignore, #PB_Ignore, 600, 240, "Start Process", #PB_Window_SystemMenu | #PB_Window_TitleBar, WindowID(#Main))
    ; Spalte 1
    CheckBoxGadget(#WinStart_CheckBox_ParendWindow, 10, 10, 210, 20, "First Window as Parend")
    CheckBoxGadget(#WinStart_CheckBox_AutoPosition, 10, 40, 210, 20, "Window Position Auto")
    CheckBoxGadget(#WinStart_CheckBox_MultiLanguage, 10, 70, 210, 20, "Multi Language")
    CheckBoxGadget(#WinStart_CheckBox_IncludeImages, 10, 100, 210, 20, "Include Images")
    CheckBoxGadget(#WinStart_CheckBox_CopyImages, 10, 130, 210, 20, "Copy Images to Resources")
    ; Spalte 2
    CheckBoxGadget(#WinStart_CheckBox_MacMenuEvents, 230, 10, 210, 20, "MacOS Create MenuEvents")
    CheckBoxGadget(#WinStart_CheckBox_PrefixOff, 230, 40, 310, 20, "Prefix Off (Only for unique constants)")
    ; Start
    CheckBoxGadget(#WinStart_CheckBox_CloseIDE, 10, 165, 580, 25, "Close Purebasic-IDE / The process starts when the Purebasic IDE is stored.", #PB_Text_Border)
    ButtonGadget(#WinStart_Button_Start, 10, 200, 120, 30, "Start")
  EndIf
  
EndProcedure

; ----

;- Form: /Users/Michael/Daten/Purebasic/EventDesignerV3/FormCheck.pb

Procedure OpenWinCheck()
  If OpenWindow(#WinCheck, #PB_Ignore, #PB_Ignore, 770, 400, "Search and Replace", #PB_Window_SystemMenu | #PB_Window_TitleBar | #PB_Window_ScreenCentered | #PB_Window_WindowCentered, WindowID(#Main))
    TextGadget(#WinCheck_Text_0, 10, 10, 130, 20, "Old Entry")
    TextGadget(#WinCheck_Text_1, 220, 10, 120, 20, "New Entry")
    TextGadget(#WinCheck_Text_2, 430, 10, 110, 20, "Todo List")
    ListViewGadget(#WinCheck_Listview_Old, 10, 30, 200, 320)
    ListViewGadget(#WinCheck_Listview_New, 220, 30, 200, 320)
    ListViewGadget(#WinCheck_Listview_ToDo, 430, 30, 330, 320)
    ButtonGadget(#WinCheck_Button_Bind, 10, 360, 120, 30, "Bind")
    ButtonGadget(#WinCheck_Button_Release, 150, 360, 120, 30, "Release")
    ButtonGadget(#WinCheck_Button_Continue, 640, 360, 120, 30, "Continue")
  EndIf
  
EndProcedure

; ----

;- Form: /Users/Michael/Daten/Purebasic/EventDesignerV3/FormUserGadget.pb

Procedure OpenUserGadget()
  If OpenWindow(#UserGadget, #PB_Ignore, #PB_Ignore, 220, 400, "UserGadget", #PB_Window_SystemMenu | #PB_Window_TitleBar | #PB_Window_ScreenCentered, WindowID(#Main))
    ListViewGadget(#UserGadget_Listview_Gadget, 0, 0, 220, 350)
    ButtonGadget(#UserGadget_Button_Add, 10, 360, 60, 30, "Add")
    ButtonGadget(#UserGadget_Button_Del, 80, 360, 60, 30, "Del")
    ButtonGadget(#UserGadget_Button_Ok, 150, 360, 60, 30, "Ok")
  EndIf
  
EndProcedure

; ----

UndefineMacro ResizeGadget
UndefineMacro ToolBarHeight

; ----

;- DataSection Images 

DataSection
  Catch_IconNew:
  IncludeBinary "Icons/New.png"
  Catch_IconOpen:
  IncludeBinary "Icons/Open.png"
  Catch_IconSave:
  IncludeBinary "Icons/Save.png"
  Catch_IconSaveAs:
  IncludeBinary "Icons/SaveAs.png"
  Catch_IconAdd:
  IncludeBinary "Icons/Add.png"
  Catch_IconRemove:
  IncludeBinary "Icons/Remove.png"
  Catch_IconFirst:
  IncludeBinary "Icons/GoUp.png"
  Catch_IconStart:
  IncludeBinary "Icons/Export.png"
  Catch_IconStop:
  IncludeBinary "Icons/StopLoad.png"
  Catch_IconExit:
  IncludeBinary "Icons/ExitDoor.png"
  Catch_IconPreference:
  IncludeBinary "Icons/Preference.png"
  Catch_IconInformation:
  IncludeBinary "Icons/Information.png"
  Catch_IconBook:
  IncludeBinary "Icons/Book.png"
EndDataSection

