﻿;-TOP

; ***************************************************************************
;
; Comment : EventDesigner - Event Form File
; Create  : 2019.09.08 16:21:17
; Update  : 2019.09.09 18:23:26
;
; ***************************************************************************

Procedure MyEventSizeWindow_Main()
  CompilerIf Defined(ResizeGadgetsMain, #PB_Procedure)
    ResizeGadgetsMain()
  CompilerEndIf
EndProcedure

; ----

Procedure MyEventCloseWindow_Main()
  StopThread(*ThreadData)
  ExitApplication = #True
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_MacAbout()
  guiAbout()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_MacPreferences()
  guiUserGadgets()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_MacQuit()
  ExitApplication = 1
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Project_New()
  If Not flagProjectDataSave
    guiListCommonGetList()
    SaveProjectData(#True)
  EndIf
  ClearGadgetItems(#Main_Listview_Common)
  ClearGadgetItems(#Main_Listview_Status)
  
  ClearStructure(commonProgramData, udtProgramData)
  InitializeStructure(commonProgramData, udtProgramData)
  
  ClearStructure(commonProjectData, udtProjectData)
  InitializeStructure(commonProjectData, udtProjectData)
  
  StatusBarText(#Main_StatusBar, 0, "Project: " + commonProgramData\ProjectFile)
  
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Project_Load()
  
  If Not flagProjectDataSave
    guiListCommonGetList()
    SaveProjectData(#True)
  EndIf
  LoadProjectData(#False)
  StatusBarText(#Main_StatusBar, 0, "Project: " + commonProgramData\ProjectFile)
  
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Project_Save()
  
  guiListCommonGetList()
  SaveProjectData(#True)
  StatusBarText(#Main_StatusBar, 0, "Project: " + commonProgramData\ProjectFile)
  
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Project_SaveAs()
  
  guiListCommonGetList()
  SaveProjectData(#False)
  StatusBarText(#Main_StatusBar, 0, "Project: " + commonProgramData\ProjectFile)
  
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Menu_UserGadget()
  guiUserGadgets()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Exit()
  ExitApplication = #True
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Common_Add()
  guiListCommonAddFiles()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Common_Remove()
  guiListCommonDeleteFile()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Common_Parend()
  guiListCommonSetFirst()
EndProcedure

; ----

; ***************************************************************************************
Procedure MyEventMenu_Main_Start_Process()
  
  If IsThread(*ThreadData\ThreadID)
    ProcedureReturn 0
  EndIf
  
  OpenWinStart()
  
  DisableGadget(#WinStart_CheckBox_MultiLanguage, #True)
    
  SetGadgetState(#WinStart_CheckBox_ParendWindow, commonProjectData\Switches\ParendWindow)
  SetGadgetState(#WinStart_CheckBox_AutoPosition, commonProjectData\Switches\AutoPosition)
  SetGadgetState(#WinStart_CheckBox_MultiLanguage, commonProjectData\Switches\Multilanguage)
  SetGadgetState(#WinStart_CheckBox_IncludeImages, commonProjectData\Switches\IncludeImages)
  SetGadgetState(#WinStart_CheckBox_CopyImages, commonProjectData\Switches\CopyImages)
  SetGadgetState(#WinStart_CheckBox_MacMenuEvents, commonProjectData\Switches\MacMenuEvents)
  SetGadgetState(#WinStart_CheckBox_PrefixOff, commonProjectData\Switches\PrefixOff)
  SetGadgetState(#WinStart_CheckBox_CloseIDE, commonProjectData\Switches\CloseIDE)
  
EndProcedure

; ----

Procedure MyEventMenu_Main_Stop_Process()
  StopThread(*ThreadData, 0)
  DisableToolBarButton(#Main_Toolbar, #Main_Stop_Process, #True)
EndProcedure

; ----

Procedure MyEventMenu_Main_Info()
  guiAbout()
EndProcedure

; ----

Procedure MyEventMenu_Main_License()
  Open_Window_Licence(#Main)
EndProcedure

; ----

Procedure MyEventMenu_Main_Tool_Save_MyAppData()
  Protected filename.s, file
  
  filename = SaveFileRequester("Save MacOS IDE-Tool MyAppData", "MyAppData.pb", "", 0)
  If Bool(filename)
    file = CreateFile(#PB_Any, filename)
    If file
      WriteData(file, ?BeginToolsMyAppData, ?EndToolsMyAppData - ?BeginToolsMyAppData)
      CloseFile(file)
    EndIf
  EndIf
  
EndProcedure

; ----

Procedure MyEventGadget_Main_Command()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_Main_Listview_Common()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_Main_Listview_Status()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_Main_Splitter()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----
; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 155
; FirstLine = 139
; Folding = -----
; EnableXP