﻿;-TOP

;- Event Designer - Main Program

; ***************************************************************************************
;
; Comment       : 
; Author        : 
; File          : 
; Version       : 
; Create        : 
; Update        : 
; 
; Compilermode  : 
;
; ***************************************************************************************

;- Compiler Options
EnableExplicit

; ***************************************************************************************

CompilerIf #PB_Compiler_Thread = 0
  CompilerError "Use Compiler Option ThreadSafe!"
CompilerEndIf

; ***************************************************************************************

;- Globals

#Copyright = "Copyright 2019 by mk-soft"
#Version = "Version v3.13"
#Program = "Event Designer - " + #Version

Enumeration CustemEvents #PB_Event_FirstCustomValue
  #MyEventThreadToGui
  #MyEventWriteLog
  #MyEventInitCompareWindow
EndEnumeration

Declare MainWriteLog(Text.s)
Declare Writelog(Text.s)

Global ExitApplication = 0

; ***************************************************************************************

IncludeFile "Modul_ThreadToGUI.pb"
IncludeFile "MiniThreadControl.pb"
IncludeFile "EnumWindows.pb"

;- Include GUI Common File
IncludeFile "GuiCommonFile.pb"

;- Include User Files
;IncludeFile "???.pb"
IncludeFile "Variables.pb"
IncludeFile "DataSections.pb"
IncludeFile "Functions.pb"
IncludeFile "GlobalFunctions.pb"
IncludeFile "Lizenztext.pb"

;- Include GU Event Main File
IncludeFile "GuiEventMainFile.pb"

; ***************************************************************************************

;- Main Program
Procedure Main()

  OpenMain()
  SetGadgetState(#Main_Splitter, 120)
  DisableToolBarButton(#Main_Toolbar, #Main_Stop_Process, #True)
  
  ResizeGadgetsMain()
  
  EnableGadgetDrop(#Main_Listview_Common, #PB_Drop_Files, #PB_Drag_Copy | #PB_Drag_Move)
  
  InitProgram()
  
  If WindowID(#Main)
    
    CompilerIf #PB_Compiler_OS = #PB_OS_MacOS
      If Not IsMenu(0)
        CreateMenu(0, WindowID(#Main))
      EndIf
      MenuItem(#PB_Menu_About, "")
      MenuItem(#PB_Menu_Preferences, "")
      MenuItem(#PB_Menu_Quit, "")
    CompilerEndIf
    
    ThreadToGUI::BindEventGUI(#MyEventThreadToGui)
    
    ;-- Main Event Loop
    Repeat
    
      Select WaitWindowEvent()
        Case #PB_Event_GadgetDrop
          Select EventGadget()
            Case #Main_Listview_Common
              guiListCommonDropFiles()
          EndSelect
        
      EndSelect
      
    Until ExitApplication = 1
    
    ExitProgram()
  
  EndIf
  
EndProcedure : Main()

End

; ***************************************************************************************
; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 31
; FirstLine = 21
; Folding = -
; EnableThread
; EnableXP
; CompileSourceDirectory