﻿;-TOP

; ***************************************************************************
; 
; Comment : EventDesigner - Common Event Main File
; Create  : 2019.09.15 16.46.10
; 
; Info    : Do not edit this file. This file always overwrite.
; 
; ***************************************************************************

; - Include Event Files
IncludeFile "GuiEventFormMain.pb"
IncludeFile "GuiEventFormStart.pb"
IncludeFile "GuiEventFormCheck.pb"
IncludeFile "GuiEventFormUserGadget.pb"

; ----

Prototype _MyPrototypeInvoke()

Structure _MyInvokeEvent
  Invoke._MyPrototypeInvoke[0]
EndStructure

Global *vTableEventSizeWindow._MyInvokeEvent = ?vTableEventSizeWindow
Global *vTableEventCloseWindow._MyInvokeEvent = ?vTableEventCloseWindow
Global *vTableEventMenu._myInvokeEvent = ?vTableEventMenu
Global *vTableEventGadget._MyInvokeEvent = ?vTableEventGadget

#_CountEventWindow = 4
#_CountEventMenu = 14
#_CountEventGadget = 26

; ----

Procedure _MyEventSizeWindow()
  Protected WindowID = EventWindow()
  Select WindowID
    Case 0 To #_CountEventWindow - 1
      *vTableEventSizeWindow\Invoke[WindowID]()
  EndSelect
EndProcedure

; ----

Procedure _MyEventCloseWindow()
  Protected WindowID = EventWindow()
  Select WindowID
    Case 0 To #_CountEventWindow - 1
      *vTableEventCloseWindow\Invoke[WindowID]()
  EndSelect
EndProcedure

; ----

Procedure _MyEventMenu()
  Protected MenuID = EventMenu()
  Select MenuID
    Case 0 To #_CountEventMenu - 1
      *vTableEventMenu\Invoke[MenuID]()
    ; Begin MacMenus
    CompilerIf #PB_Compiler_OS = #PB_OS_MacOS  
      Case #PB_Menu_About
        MyEventMenu_MacAbout()
      Case #PB_Menu_Preferences
        MyEventMenu_MacPreferences()
      Case #PB_Menu_Quit
        MyEventMenu_MacQuit()
    CompilerEndIf
    ; End MacMenus
  EndSelect
EndProcedure

; ----

Procedure _MyEventGadget()
  Protected GadgetID = EventGadget()
  Select GadgetID
    Case 0 To #_CountEventGadget - 1
      *vTableEventGadget\Invoke[GadgetID]()
  EndSelect
EndProcedure

; ----

; - Bind Events
BindEvent(#PB_Event_Menu, @_MyEventMenu())
BindEvent(#PB_Event_Gadget, @_MyEventGadget())
BindEvent(#PB_Event_SizeWindow, @_MyEventSizeWindow())
BindEvent(#PB_Event_CloseWindow, @_MyEventCloseWindow())
    
; ----

DataSection
  vTableEventSizeWindow:
  Data.i @MyEventSizeWindow_Main()
  Data.i @MyEventSizeWindow_WinStart()
  Data.i @MyEventSizeWindow_WinCheck()
  Data.i @MyEventSizeWindow_UserGadget()
  
  vTableEventCloseWindow:
  Data.i @MyEventCloseWindow_Main()
  Data.i @MyEventCloseWindow_WinStart()
  Data.i @MyEventCloseWindow_WinCheck()
  Data.i @MyEventCloseWindow_UserGadget()
  
  vTableEventMenu:
  Data.i @MyEventMenu_Main_Project_New()
  Data.i @MyEventMenu_Main_Project_Load()
  Data.i @MyEventMenu_Main_Project_Save()
  Data.i @MyEventMenu_Main_Project_SaveAs()
  Data.i @MyEventMenu_Main_Menu_UserGadget()
  Data.i @MyEventMenu_Main_Exit()
  Data.i @MyEventMenu_Main_Common_Add()
  Data.i @MyEventMenu_Main_Common_Remove()
  Data.i @MyEventMenu_Main_Common_Parend()
  Data.i @MyEventMenu_Main_Start_Process()
  Data.i @MyEventMenu_Main_Stop_Process()
  Data.i @MyEventMenu_Main_Tool_Save_MyAppData()
  Data.i @MyEventMenu_Main_Info()
  Data.i @MyEventMenu_Main_License()
  
  vTableEventGadget:
  Data.i @MyEventGadget_Main_Command()
  Data.i @MyEventGadget_Main_Listview_Common()
  Data.i @MyEventGadget_Main_Listview_Status()
  Data.i @MyEventGadget_Main_Splitter()
  Data.i @MyEventGadget_WinStart_CheckBox_ParendWindow()
  Data.i @MyEventGadget_WinStart_CheckBox_AutoPosition()
  Data.i @MyEventGadget_WinStart_CheckBox_MultiLanguage()
  Data.i @MyEventGadget_WinStart_CheckBox_IncludeImages()
  Data.i @MyEventGadget_WinStart_CheckBox_CopyImages()
  Data.i @MyEventGadget_WinStart_CheckBox_MacMenuEvents()
  Data.i @MyEventGadget_WinStart_CheckBox_PrefixOff()
  Data.i @MyEventGadget_WinStart_CheckBox_CloseIDE()
  Data.i @MyEventGadget_WinStart_Button_Start()
  Data.i @MyEventGadget_WinCheck_Text_0()
  Data.i @MyEventGadget_WinCheck_Text_1()
  Data.i @MyEventGadget_WinCheck_Text_2()
  Data.i @MyEventGadget_WinCheck_Listview_Old()
  Data.i @MyEventGadget_WinCheck_Listview_New()
  Data.i @MyEventGadget_WinCheck_Listview_ToDo()
  Data.i @MyEventGadget_WinCheck_Button_Bind()
  Data.i @MyEventGadget_WinCheck_Button_Release()
  Data.i @MyEventGadget_WinCheck_Button_Continue()
  Data.i @MyEventGadget_UserGadget_Listview_Gadget()
  Data.i @MyEventGadget_UserGadget_Button_Add()
  Data.i @MyEventGadget_UserGadget_Button_Del()
  Data.i @MyEventGadget_UserGadget_Button_Ok()
  
EndDataSection

; ----

; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; Folding = -
